> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get activity code type criticality

> GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/activity-code-types/{activityCodeTypeId}/criticality



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))

- **activityCodeTypeId** (integer(int64))


### Query parameters

- **filterId** (array[integer(int64)])

- **dataDate** (string)



## Responses
### 200
OK

#### Body: */* (array[object])
- **activityCodeId** (integer(int64))

- **activityCodeName** (string)

- **status** (string)

- **activityCount** (integer(int64))



[Powered by Bump.sh](https://bump.sh)
